---
title: 'Get users for a badge'
description: 'This endpoint allows you to fetch users for a specific badge.'
openapi: GET /api/loyalty/badge_users
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`GET /api/loyalty/badge_users` — query parameters: `loyaltyBadgeId`, `organizationId`, `websiteId`, `walletAddress`, `status`, `startingAfter`, `limit`

`GET https://admin.snagsolutions.io/api/loyalty/badge_users`

This endpoint allows you to fetch users for a specific badge.

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Query parameters

- `loyaltyBadgeId` (string, required) — UUID of the loyalty badge (converted to lowercase)
- `organizationId` (string) — UUID of the organization (optional, converted to lowercase)
- `websiteId` (string) — UUID of the website (optional, converted to lowercase)
- `walletAddress` (string) — Wallet Address of the user, or array of wallet addresses.
- `status` (string) — Status of the badge
- `startingAfter` (string) — UUID of the badge to start after (converted to lowercase)
- `limit` (integer) — Number of badges to fetch

## Response 200

200
  - response (object) — Response returned upon successful fetching of the badge users.
    - `id` (string, uuid, required) — UUID of the user badge (converted to lowercase)
    - `userId` (string, uuid, required) — UUID of the user (converted to lowercase)
    - `loyaltyBadgeId` (string, uuid, required) — UUID of the badge (converted to lowercase)
    - `websiteId` (string, uuid, required) — UUID of the website (converted to lowercase)
    - `organizationId` (string, uuid, required) — UUID of the organization (converted to lowercase)
    - `createdAt` (string, date-time, required) — The date and time the user badge was created
    - `updatedAt` (string, date-time, required) — The date and time the user badge was updated
    - `deletedAt` (string, date-time, required) — The date and time the user badge was deleted
    - `status` (string, required, one of: active, inactive, revoked) — The status of the badge
    - `progress` (array, required) — Array of progress for the badge
    - `dismissedInUi` (boolean) — Whether the user has dismissed the badge in the UI
    - `user` (object) — User associated with the user badge
      - `walletAddress` (string, required) — Wallet address of the user

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
